#
# make.matlab - Make MatLab functions for reading headers and time-series data
#               from blocked-binary format files for Macintosh MPW (PPC).
#
#
# MPW command syntax: make.matlab [ all | bbdata | bbihdr | bbrhdr | bbthdr |
#                                   clean ]
#
#
# Author:      Lawrence M. Baker
#              U.S. Geological Survey
#              345 Middlefield Road  MS977
#              Menlo Park, CA  94025
#              baker@usgs.gov
#
#                                 Disclaimer
#
# Although  this  program  has  been  used  by  the  U.S. Geological Survey, no
# warranty, expressed or implied, is made by the USGS as to  the  accuracy  and
# functioning  of  the program and related program material, nor shall the fact
# of distribution constitute  any  such  warranty,  and  no  responsibility  is
# assumed by the USGS in connection therewith.
#
#
# Modification History:
#
# 20-Feb-2001  L. M. Baker      Original version.
#

If ( ( "{1}" == ""       ) || ( "{1}" == "all"    ) || 
     ( "{1}" == "bbdata" ) || ( "{1}" == "bbihdr" ) || 
     ( "{1}" == "bbrhdr" ) || ( "{1}" == "bbthdr" ) )

   Set Commands "Macintosh HD:MATLAB 5:extern:scripts:,{Commands}"
#
#  bbdata('file'[,first_pt,last_pt]); reads time-series data
#
   If ( ( "{1}" == "" ) || ( "{1}" == "all" ) || ( "{1}" == "bbdata" ) )
      Echo mex ::src:bbdata.c libvfbb.o
      mex ::src:bbdata.c libvfbb.o
   End
#
#  bbihdr('file'[,ihdr_no]); reads an integer header
#
   If ( ( "{1}" == "" ) || ( "{1}" == "all" ) || ( "{1}" == "bbihdr" ) )
      Echo mex ::src:bbihdr.c libvfbb.o
      mex ::src:bbihdr.c libvfbb.o
   End
#
#  bbrhdr('file'[,rhdr_no]); reads a real header
#
   If ( ( "{1}" == "" ) || ( "{1}" == "all" ) || ( "{1}" == "bbrhdr" ) )
      Echo mex ::src:bbrhdr.c libvfbb.o
      mex ::src:bbrhdr.c libvfbb.o
   End
#
#  bbthdr('file'[,thdr_no]); reads an ASCII text header
#
   If ( ( "{1}" == "" ) || ( "{1}" == "all" ) || ( "{1}" == "bbthdr" ) )
      Echo mex ::src:bbthdr.c libvfbb.o
      mex ::src:bbthdr.c libvfbb.o
   End

Else If ( "{1}" == "clean" )

   Delete -i bbdata.mex bbihdr.mex bbrhdr.mex bbthdr.mex
   Delete -i bbdata.c.o bbihdr.c.o bbrhdr.c.o bbthdr.c.o

Else

   Echo "MPW command syntax: make.matlab [ all | bbdata | bbihdr | bbrhdr | " 
        "bbthdr | clean ]"

End
