$ verify = 'F$Verify( 0 )'
$!
$! Make.com - Make VFBB library and programs for OpenVMS (VAX and Alpha).
$!
$! DCL command syntax: @Make [ all | libvfbb | dhead | matlab | clean ]
$!
$!
$! Author:      Lawrence M. Baker
$!              U.S. Geological Survey
$!              345 Middlefield Road  MS977
$!              Menlo Park, CA  94025
$!              baker@usgs.gov
$!
$!                                 Disclaimer
$!
$! Although  this  program  has  been  used  by  the  U.S. Geological Survey, no
$! warranty, expressed or implied, is made by the USGS as to  the  accuracy  and
$! functioning  of  the program and related program material, nor shall the fact
$! of distribution constitute  any  such  warranty,  and  no  responsibility  is
$! assumed by the USGS in connection therewith.
$!
$!
$! Modification History:
$!
$! 21-Feb-2001  L. M. Baker      Original version.
$!
$!
$ args = "||all|libvfbb|dhead|matlab|clean|"
$ P1 = F$Edit( P1, "TRIM,LOWERCASE" )
$ If ( F$Locate( "|''P1'|", args ) .eq. F$Length( args ) )
$ Then
$    Write Sys$Error -
        "DCL command syntax: @Make [ all | libvfbb | dhead | matlab | clean ]"
$    Goto EXIT
$ EndIf
$ If ( ( P1 .eqs. "" ) .or. ( P1 .eqs. "all" ) .or. ( P1 .eqs. "clean" ) )
$ Then
$    Set Verify
$ @Make.libvfbb 'P1'
$ @Make.dhead   'P1'
$ @Make.matlab  'P1'
$    junk = 'F$Verify( 0 )'
$ Else
$    Set Verify
$ @Make.'P1'
$    junk = 'F$Verify( 0 )'
$ EndIf
$EXIT:
$ Exit 1 + ( 0 * F$Verify( verify ) )
