@ECHO OFF
@REM
@REM DHead.bat - Make DHead.exe for Windows Win32 (x86).
@REM
@REM Command Prompt command syntax: DHead [ all | dhead | clean ]
@REM
@REM
@REM Author:      Lawrence M. Baker
@REM              U.S. Geological Survey
@REM              345 Middlefield Road  MS977
@REM              Menlo Park, CA  94025
@REM              baker@usgs.gov
@REM
@REM                                 Disclaimer
@REM
@REM Although  this  program  has  been  used  by the U.S. Geological Survey, no
@REM warranty, expressed or implied, is made by the USGS as to the accuracy  and
@REM functioning of the program and related program material, nor shall the fact
@REM of distribution constitute  any such warranty,  and  no  responsibility  is
@REM assumed by the USGS in connection therewith.
@REM
@REM
@REM Modification History:
@REM
@REM  1-Feb-2001  L. M. Baker      Original version.
@REM 15-Feb-2001  L. M. Baker      Use conversion routines in libvfbb.lib.
@REM

@IF /I "%1" == "clean" GOTO :CLEAN

@REM /nologo (suppress display of sign-on banner) /ML (single threaded using
@REM MSVCRTD.LIB) /W3 (warning level) /GX (enable synchronous exception
@REM handling) /O2 (create fast code)
@SET CFLAGS=/nologo /ML /W3 /GX /O2

@SET LFLAGS=/NOLOGO /SUBSYSTEM:CONSOLE /INCREMENTAL:NO

@ECHO ON
CL   /c %CFLAGS% ..\src\dhead.c
CL   /c %CFLAGS% ..\src\clisubs.c
LINK %LFLAGS% dhead.obj clisubs.obj libvfbb.lib
DEL  dhead.obj clisubs.obj
@GOTO :EOF

:CLEAN
@ECHO ON
DEL  dhead.exe dhead.obj clisubs.obj
