@ECHO OFF
@REM
@REM MatLab.bat - Make MatLab functions for reading headers and time-series
@REM              data from blocked-binary format files for Windows Win32 (x86).
@REM
@REM Command Prompt command syntax: MatLab [ all | bbdata | bbihdr | bbrhdr |
@REM                                         bbthdr | clean ]
@REM
@REM
@REM Author:      Lawrence M. Baker
@REM              U.S. Geological Survey
@REM              345 Middlefield Road  MS977
@REM              Menlo Park, CA  94025
@REM
@REM                                 Disclaimer
@REM
@REM Although  this  program  has  been  used  by the U.S. Geological Survey, no
@REM warranty, expressed or implied, is made by the USGS as to the accuracy  and
@REM functioning of the program and related program material, nor shall the fact
@REM of distribution constitute any such  warranty,  and  no  responsibility  is
@REM assumed by the USGS in connection therewith.
@REM
@REM
@REM Modification History:
@REM
@REM 13-Feb-2001  L. M. Baker      Original version (from BBFILE.COM).
@REM 15-Feb-2001  L. M. Baker      Use conversion routines in libvfbb.lib.
@REM
@REM
@REM Note: MatLab's MEX command is a .BAT file, which means it must be Call'ed
@REM       or CMD'ed.  We use %COMSPEC% so this works on both Windows and DOS.
@REM

@IF /I "%1" == "clean" GOTO :CLEAN

@ECHO ON
@REM
@REM MatLab V5 (Win32)
@REM
@REM
@REM bbdata( 'file' [ , first_pt , last_pt ] ); reads time-series data
@REM
%COMSPEC% /C MEX -O ..\src\bbdata.c libvfbb.lib
@REM
@REM bbihdr( 'file' [ , ihdr_no ] ); reads an integer header
@REM
%COMSPEC% /C MEX -O ..\src\bbihdr.c libvfbb.lib
@REM
@REM bbrhdr( 'file' [ , rhdr_no ] ); reads a real header
@REM
%COMSPEC% /C MEX -O ..\src\bbrhdr.c libvfbb.lib
@REM
@REM bbthdr( 'file' [ , thdr_no ] ); reads an ASCII text header
@REM
%COMSPEC% /C MEX -O ..\src\bbthdr.c libvfbb.lib
@GOTO :EOF

:CLEAN
@ECHO ON
DEL bbdata.dll bbihdr.dll bbrhdr.dll bbthdr.dll ^
    bbdata.obj bbihdr.obj bbrhdr.obj bbthdr.obj
